


/*rodinne vztahy*/

muz(olda_st).
muz(vitezslav).
muz(pavel).
muz(viktor).
muz(olda).
muz(radim).
muz(petr).
muz(tomas).
muz(ivan).
muz(jan).

zena(bozenaS).
zena(bozenaB).
zena(eva).
zena(slavka).
zena(marta).
zena(jana).
zena(alena).
zena(lenka).


/*otec(Otec,Dite)*/
otec(olda_st,olda).
otec(vitezslav,slavka).
otec(vitezslav,marta).
otec(pavel,jana).
otec(pavel,alena).
otec(viktor,lenka).
otec(viktor,tomas).
otec(olda,radim).
otec(olda,petr).
otec(radim,ivan).
otec(radim,jan).


/*matka(Matka,Dite)*/
matka(bozenaS,slavka).
matka(bozenaS,marta).
matka(bozenaB,olda).
matka(eva,jana).
matka(eva,alena).
matka(slavka,lenka).
matka(slavka,tomas).
matka(marta,radim).
matka(marta,petr).
matka(jana,ivan).
matka(jana,jan).

/*syn(Syn,Rodic)*/
syn(S,R) :- muz(S), otec(R,S).
syn(S,R) :- muz(S), matka(R,S).

/*dcera(Dcera,Rodic)*/
dcera(D,R) :- zena(D), otec(R,D).
dcera(D,R) :- zena(D), matka(R,D).

/*rodic(Rodic,Dite)*/
rodic(R,D) :- otec(R,D).
rodic(R,D) :- matka(R,D).

/*potomek(rodic,potomek)*/
potomek(R,P) :- rodic(R,P).
/*toto neni vhodne: potomek(R,P) :- potomek(R,X), rodic(X,P). */
potomek(R,P) :- rodic(R,X), potomek(X,P).

predek(P,R) :- potomek(R,P).

vsichniPotomci(X) :- potomek(X,P), write(P), nl, fail.
vsichniPotomci(X).









